discreteness {bnstruct} | R Documentation

## get status (discrete or continuous) of the variables of an object.

### Description

Get a vector representing the status of the variables (with their names) of a `BN` or `BNDataset`. Elements of the vector are `c` if the variable is continue, and `d` if the variable is discrete.

### Usage

    discreteness(x)

    ## S4 method for signature 'BN'
    discreteness(x)

    ## S4 method for signature 'BNDataset'
    discreteness(x)

### Arguments

`x` | an object.

### Value

vector contaning, for each variable of the desired object, `c` if the variable is continue, and `d` if the variable is discrete.

[Package bnstruct version 1.0.6 Index]